org.apache.lucene.util.fst

## Class Util.Result<T>

- java.lang.Object
- - org.apache.lucene.util.fst.Util.Result<T>

Enclosing class:
  Util

    public static final class Util.Result<T>
    extends Object

Holds a single input (IntsRef) + output, returned by `shortestPaths()`.

### Field Summary

Fields
`IntsRef` `input`
`T` `output`

### Constructor Summary

Constructors
Constructor and Description
`Result(IntsRef input, T output)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### input

    public final IntsRef input

#### output

    public final T output

### Constructor Detail

#### Result

    public Result(IntsRef input,
                  T output)